:root {
  --text-color-light: #191919;
  --text-color-rgb-light: 25, 25, 25;

  --text-color-dark: rgb(230, 230, 230);
  --text-color-rgb-dark: 230, 230, 230;

  --one-rgb-light: 120, 86, 232;
  --two-rgb-light: 90, 95, 242;
  --three-rgb-light: 70, 137, 224;
  --four-rgb-light: 52, 178, 250;
  --five-rgb-light: 86, 207, 232;
  --six-rgb-light: 0, 213, 255;

  --one-rgb-dark: 64, 26, 188;
  --two-rgb-dark: 17, 24, 212;
  --three-rgb-dark: 28, 88, 166;
  --four-rgb-dark: 5, 125, 194;
  --five-rgb-dark: 26, 161, 188;
  --six-rgb-dark: 0, 128, 153;

  --duration-slow: 750ms;
  --duration-med: 500ms;
  --duration-fast: 250ms;
}

.theme-light {
  --text-color: #191919;
  --text-color-rgb: 25, 25, 25;

  --one-rgb: 120, 86, 232;
  --two-rgb: 90, 95, 242;
  --three-rgb: 70, 137, 224;
  --four-rgb: 52, 178, 250;
  --five-rgb: 86, 207, 232;
  --six-rgb: 0, 213, 255;

  --one: #7856e8;
  --two: #5a5ff2;
  --three: #4689e0;
  --four: #34b2fa;
  --five: #56cfe8;
  --six: #00d5ff;

  --tone: 255, 255, 255;
  --accent-text: 39, 81, 159;
}

.theme-dark {
  --text-color: rgb(230, 230, 230);
  --text-color-rgb: 230, 230, 230;

  --one-rgb: 64, 26, 188;
  --two-rgb: 17, 24, 212;
  --three-rgb: 28, 88, 166;
  --four-rgb: 5, 125, 194;
  --five-rgb: 26, 161, 188;
  --six-rgb: 0, 128, 153;

  --one: hsl(254, 76%, 42%);
  --two: hsl(238, 85%, 45%);
  --three: hsl(214, 71%, 38%);
  --four: hsl(202, 95%, 39%);
  --five: hsl(190, 76%, 42%);
  --six: hsl(190, 100%, 30%);

  --tone: 0, 0, 0;

  /* --accent-text: rgb(210, 222, 244); */
  --accent-text: 140, 144, 255;
}

html {
  scroll-behavior: smooth;
  height: 100%;
}

body {
  height: 100%;
  background: rgb(90, 95, 242);
  background: linear-gradient(
    32deg,
    rgba(90, 95, 242, 1) 0%,
    rgba(0, 213, 255, 1) 100%
  );
}

a {
  color: transparent;
}

.preload * {
  -webkit-transition: none !important;
  -moz-transition: none !important;
  -ms-transition: none !important;
  -o-transition: none !important;
}

.overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0;
  z-index: -1;
}
.theme-dark .overlay {
  opacity: 0.35;
}

.fast {
  transition: var(--duration-fast);
}
.theme-dark .fast {
  transition: var(--duration-fast);
}
.med {
  transition: var(--duration-med);
}
.theme-dark .med {
  transition: var(--duration-med);
}
.slow {
  transition: var(--duration-slow);
}
.theme-dark .slow {
  transition: var(--duration-slow);
}

h1,
h2,
h3,
h4,
h5,
p {
  font-family: "Recursive", sans-serif;
  font-weight: 400;
  transition: var(--duration-slow);
}
input,
textarea {
  font-family: "Recursive", sans-serif;
  font-weight: 400;
}
button {
  font-family: "Recursive", sans-serif;
  font-weight: 300;
  font-size: 1.5rem;
  transition: var(--duration-med);
}
button:not([disabled]):hover {
  font-weight: 600;
  transition: var(--duration-med);
}

h1 {
  color: rgba(var(--accent-text), 1);
  font-size: 4.5rem;
}
h2 {
  color: rgba(var(--accent-text), 1);
  font-size: 1.5rem;
  font-weight: 400;
  margin: 0;
}

h3 {
  color: rgb(var(--accent-text));
  font-size: 1.25rem;
  margin: 0;
}
h4 {
  color: rgb(var(--accent-text), 0.66);
  font-size: 0.9375rem;
  margin: 0;
}

h5 {
  color: var(--text-color);
  font-style: italic;
  font-size: 1.25rem;
  margin: 0;
}

p {
  color: rgba(var(--accent-text), 1);
  font-size: 1.25rem;
  margin: 0;
}

.wrapper {
  position: relative;
  height: 100%;
  overflow-x: hidden;
  padding-bottom: 150px;
}

.bubble {
  position: absolute;
  opacity: 50%;
  border-radius: 50%;
  z-index: -2;
}

#bubble-1 {
  width: 780px;
  height: 780px;

  top: 191px;
  left: calc(50vw - 1200px);
  background: rgb(var(--two-rgb));
  background: linear-gradient(
    331deg,
    rgba(var(--two-rgb-light), 1) 0%,
    rgba(var(--one-rgb-light), 1) 100%
  );
}

#bubble-2 {
  width: 780px;
  height: 780px;

  top: 560px;
  left: calc(50vw + 228px);
  background: rgb(var(--two-rgb));
  background: linear-gradient(
    72deg,
    rgba(var(--two-rgb-light), 1) 0%,
    rgba(var(--six-rgb-light), 1) 100%
  );
}

#bubble-3 {
  left: 43vw;
  top: 32px;

  width: 320px;
  height: 320px;

  background: rgb(var(--two-rgb));
  background: linear-gradient(
    331deg,
    rgba(var(--two-rgb-light), 1) 0%,
    rgba(var(--six-rgb-light), 1) 100%
  );
}

#bubble-4 {
  left: 28vw;
  top: 960px;

  width: 320px;
  height: 320px;

  background: rgb(var(--two-rgb));
  background: linear-gradient(
    331deg,
    rgba(var(--two-rgb-light), 1) 0%,
    rgba(var(--six-rgb-light), 1) 100%
  );
}

#mouse-grad {
  position: absolute;

  width: 960px;
  height: 960px;

  border-radius: 50%;

  background: radial-gradient(
    circle,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 50%
  );
  transform: translate(-50%, -50%);
  filter: blur(10px);
  z-index: -1;
}

.container {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  padding: 0;
  margin-top: 150px;

  height: 1666px;

  transition: var(--duration-fast);
}

#back-pane {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: -1;
}

.matte-glass {
  border-radius: 2rem;
  border: 1px solid rgba(255, 255, 255, 0.15);

  background: rgb(var(--tone));
  background: linear-gradient(
    135deg,
    rgba(var(--tone), 0.25) 0%,
    rgba(var(--tone), 0.05) 100%
  );

  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
}

.tint {
  background: rgb(var(--tone));
  background: linear-gradient(
    135deg,
    rgba(var(--tone), 0.25) 0%,
    rgba(var(--tone), 0.05) 100%
  );
}

.tone-border {
  border-radius: 2rem;
  border: 1px solid rgba(255, 255, 255, 0.15);
}

.welcome-plaque {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: min-content;

  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
}
.welcome-plaque > * {
  margin-bottom: 16px;
}

.welcome-plaque > h1 {
  text-align: center;
}

.projects {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.projects > h2,
.projects > a {
  margin-bottom: 48px;
}
.project,
.project:hover {
  text-decoration: none;
  color: rgba(var(--accent-text), 1);
}

.project {
  display: flex;
  align-items: center;
  justify-content: space-between;

  background-color: rgb(var(--tone));
  padding: 1rem 1.5rem;
  border-radius: 1.5rem;
  transition: var(--duration-med);
}

.project > img {
  width: 4rem;
  height: 4rem;
  border-radius: 1rem;
  transition: var(--duration-fast);
}

.theme-dark .project > img {
  filter: invert(1);
  transition: var(--duration-fast);
}

.content {
  position: absolute;
  top: 0;
  right: 0;

  width: 70%;
  height: 100%;
  margin: 0;
  padding: 2rem 1rem;

  display: flex;
  flex-direction: column;

  transition: var(--duration-slow) ease;
}
.content > div {
  margin-bottom: 96px;
  padding: 24px 32px;
}

.sidebar {
  -webkit-perspective: 1000px;
  perspective: 1000px;

  position: relative;
  top: 0;
  left: 0;

  width: 30%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  border-radius: 2rem 0 0 2rem;
  border: none;
  border-left: 1px solid rgba(255, 255, 255, 0.15);
}
.sidebar > a,
.sidebar > label,
.sidebar > div {
  margin-bottom: 96px;
}

@media (max-width: 992px) {
  .container {
    height: 2666px;
  }
  .sidebar {
    width: 100%;
    height: 888px;
    border-radius: 2rem 2rem 0 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
  }
  .content {
    width: 100%;
    top: 888px;
    transition: var(--duration-slow) ease;
  }
}

.profile {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: -100px;
}

.profile-photo {
  border-radius: 50%;
  width: 200px;
  height: 200px;
  overflow: hidden;
}
.profile-photo > img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

.social-links {
  display: flex;
  flex-direction: column;
  align-items: baseline;
}

.profile > h3,
.profile > div,
.social-links > a {
  margin-bottom: 16px;
}

.social-link {
  display: flex;
  align-items: center;

  width: 100%;
  padding: 0.75rem 1.25rem;
  border-radius: 1rem;
  border: 1px solid rgba(var(--text-color-rgb-dark), 0);

  text-decoration: none;
  transition: 0.5s ease-in-out;
}
.social-link > img {
  margin-right: 54px;
}
.social-link h2,
.social-link h2 {
  font-weight: 300;
}
.social-link:hover h2,
.social-link:focus h2 {
  font-weight: 600;
}
.social-link:hover,
.social-link:focus {
  background: linear-gradient(
    135deg,
    rgba(var(--tone), 0),
    rgba(var(--tone), 0.5),
    rgba(var(--tone), 0),
    rgba(var(--tone), 0.5)
  );
  background-size: 600% 600%;
  background-position: 100% 50%;

  -webkit-animation: SocialGrad 1.5s linear infinite;
  -moz-animation: SocialGrad 1.5s linear infinite;
  animation: SocialGrad 1.5s linear infinite;

  border: 1px solid rgba(var(--text-color-rgb-dark), 0.2);
  transition: 0s ease-in-out;
  text-decoration: none;
}
@-webkit-keyframes SocialGrad {
  0% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
@-moz-keyframes SocialGrad {
  0% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
@keyframes SocialGrad {
  0% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.social-icon {
  width: 32px;
  height: 32px;
  place-content: center;
}

.social-name {
  color: rgba(var(--accent-text), 0.75);
  text-decoration: none;
}

.resume-wrapper {
}

.resume-link {
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;

  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  width: 155px;
  height: 204px;

  padding: 12px 16px;
  border-radius: 6px;
  box-shadow: 3px 3px 6px 0px var(--text-color-light);

  background: linear-gradient(
    135deg,
    rgba(var(--three-rgb-light), 1),
    rgba(var(--five-rgb-light), 1),
    rgba(var(--three-rgb-dark), 1),
    rgba(var(--five-rgb-dark), 1)
  );
  background-size: 500% 500%;
  background-position: 0% 50%;

  overflow: hidden;
  text-decoration: none;
  transition: var(--duration-fast);
}

.theme-dark .resume-link {
  background-position: 100% 50%;
  transition: var(--duration-fast);
}

.resume-link > h5 {
  margin-right: 6px;
}

.resume-link:hover,
.resume-link:focus {
  text-decoration: none;
  box-shadow: 0px 0px 2px 0px var(--text-color-light);
}

.resume-link > h5 {
  color: rgba(var(--text-color-rgb), 0.8);
  height: min-content;
}

.pseudo-line {
  background: rgba(var(--text-color-rgb), 0.8);
  height: 12px;
  box-shadow: 2px 2px 2px 0px rgba(0, 0, 0, 0.5);
  transition: var(--duration-slow);
}
.resume-link:hover .pseudo-line,
.resume-link:focus .pseudo-line {
  box-shadow: 4px 4px 5px 0px rgba(0, 0, 0, 0.5);
}

#contact {
  display: flex;
  flex-direction: column;
}

#contact > h2,
#contact > textarea,
#contact > .send-btn,
#contact > input {
  margin-bottom: 24px;
}
#contact > input,
#contact > textarea {
  width: 100%;
}

#contact input,
#contact textarea {
  min-height: 58px;
  max-height: 162px;
  max-width: 100%;
  min-width: 100%;
  color: rgba(var(--accent-text), 1);
  padding: 1rem 1.5rem;
  border-radius: 1rem;
  border: 1px solid rgba(255, 255, 255, 0.15);
  background: linear-gradient(
    135deg,
    rgba(var(--tone), 0.2) 0%,
    rgba(var(--tone), 0) 100%
  );
}
#contact input::placeholder,
#contact textarea::placeholder {
  color: rgba(255, 255, 255, 0.5);
  font-weight: 300;
  transition: var(--duration-fast) ease;
}

#contact input:focus,
#contact textarea:focus,
#contact input:active,
#contact textarea:active {
  outline: none;
}
#contact input:focus::placeholder,
#contact textarea:focus::placeholder {
  color: rgba(255, 255, 255, 0);
  transition: var(--duration-fast) ease;
}

#send-container {
  position: relative;
  overflow: hidden;
  border-radius: 2rem;
}

#send {
  width: 100%;
  padding: 0.75rem 1.25rem;
  border-radius: 2rem;
  border: 1px solid rgba(255, 255, 255, 0.15);
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
}
#send:not([disabled]):focus,
#send:not([disabled]):active {
  outline: none;
}

#btn-progress {
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  border-radius: 2rem;
  background: linear-gradient(
    135deg,
    rgba(var(--one-rgb-light), 1) 0%,
    rgba(var(--six-rgb-light), 1) 100%
  );
  transition: var(--duration-slow) ease;
  z-index: -1;
}

.switch {
  position: absolute;
  bottom: 24px;
  left: 24px;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 40px;
  width: 40px;
  left: 0px;
  bottom: 4px;
  top: 0;
  bottom: 0;
  margin: auto 0;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  box-shadow: 0 0px 15px #2020203d;
  background: white url("https://i.ibb.co/FxzBYR9/night.png");
  background-repeat: no-repeat;
  background-position: center;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(24px);
  -ms-transform: translateX(24px);
  transform: translateX(24px);
  background: white url("https://i.ibb.co/7JfqXxB/sunny.png");
  background-repeat: no-repeat;
  background-position: center;
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.background-quote {
  stroke: transparent;
  fill: rgba(var(--tone), 0.5);
  position: absolute;
  width: 200px;
  height: 200px;
  top: 2rem;
  right: 2rem;

  z-index: 0;
}

span.ripple {
  position: absolute;
  border-radius: 50%;
  transform: scale(0);
  animation: ripple 600ms linear;
  background: linear-gradient(
    135deg,
    rgba(var(--one-rgb-light), 1) 0%,
    rgba(var(--six-rgb-light), 1) 100%
  );
  z-index: -2;
  animation-fill-mode: forwards;
}

@keyframes ripple {
  to {
    transform: scale(7);
    opacity: 1;
  }
}

/* Loading Animations */

.loaded {
  --delay: 1.2s;
}

h1,
h2,
h3,
h4,
h5,
p {
  transform: translateY(-10px);
  opacity: 0;
}

.background-quote {
  transform: translateY(-10px);
  opacity: 0;
}

.social-links {
  transform: translateY(-10px);
  opacity: 0;
}
.resume-link {
  transform: translateY(-10px);
  opacity: 0;
}
.projects {
  transform: translateY(-10px);
  opacity: 0;
}
#contact {
  transform: translateY(-10px);
  opacity: 0;
}

.loaded h1,
.loaded h2,
.loaded h3,
.loaded h4,
.loaded h5,
.loaded p {
  animation: fadeIn var(--delay) ease 0.6s forwards,
    slideIn var(--delay) ease 0.3s forwards;
}

.background-quote {
  animation: fadeIn var(--delay) ease 0.3s forwards,
    slideIn var(--delay) ease 0.3s forwards;
}
.loaded .social-links {
  animation: fadeIn var(--delay) ease 0.3s forwards,
    slideIn var(--delay) ease 0.3s forwards;
}
.loaded .resume-link {
  animation: fadeIn var(--delay) ease 0.3s forwards;
}
.projects {
  animation: fadeIn var(--delay) ease 0.3s forwards,
    slideIn var(--delay) ease 0.3s forwards;
}
#contact {
  animation: fadeIn var(--delay) ease 0.3s forwards,
    slideIn var(--delay) ease 0.3s forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes slideIn {
  100% {
    transform: translateY(0);
  }
}
